## LOC Engine State indication

LOC Engine State indication

## Functions

QmiIndicationLocEngineStateOutput * | qmi_indication_loc_engine_state_output_ref ()
void | qmi_indication_loc_engine_state_output_unref ()
gboolean | qmi_indication_loc_engine_state_output_get_engine_state ()

## Types and Values

| QmiIndicationLocEngineStateOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationLocEngineStateOutput

## Description

## Functions

### qmi_indication_loc_engine_state_output_ref ()

    QmiIndicationLocEngineStateOutput *
    qmi_indication_loc_engine_state_output_ref
                                   (QmiIndicationLocEngineStateOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationLocEngineStateOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_indication_loc_engine_state_output_unref ()

    void
    qmi_indication_loc_engine_state_output_unref
                                   (QmiIndicationLocEngineStateOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationLocEngineStateOutput. |

Since: 1.22

### qmi_indication_loc_engine_state_output_get_engine_state ()

    gboolean
    qmi_indication_loc_engine_state_output_get_engine_state
                                   (QmiIndicationLocEngineStateOutput *self,
                                    QmiLocEngineState *value_engine_state,
                                    GError **error);

Get the 'Engine State' field from `self` .

#### Parameters

self | a QmiIndicationLocEngineStateOutput. |
value_engine_state | a placeholder for the output QmiLocEngineState, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

## Types and Values

### QmiIndicationLocEngineStateOutput

    typedef struct _QmiIndicationLocEngineStateOutput QmiIndicationLocEngineStateOutput;

The QmiIndicationLocEngineStateOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22